2020 is almost over and we are all desperately hoping for a better 2021. While we are all eager to call our friends and loved ones to wish them a Happy New Year, according to latest reports, WhatsApp is to stop working on January 1, 2021. The messaging app is getting a new update that will prevent it working on millions of phones.

WhatsApp has recently announced that it is withdrawing support for certain older devices which are currently compatible with the messaging app. Several smartphone users will not be able to access WhatsApp from January 1, 2021, onwards as their devices will no longer remain compatible with the messaging app. However, some users of older devices will still be able to access WhatsApp by updating to the latest software. But, for some devices, the messaging app will become permanently inaccessible starting tomorrow itself.

You Might Also Like: 5 Ways To Know If Someone Has Blocked You On WhatsApp

WhatsApp has been persistent with upgrades and keeps dropping support for older devices. The Facebook owned company has now decided to drop support for any iPhone running on software older than iOS9. Users with these phones won’t be able to use WhatsApp from January 1, 2021, onwards. This means that the iPhone 4 and models will not be able to access the messaging app from the beginning of next year. It is important to update iPhone 4S, 5, 5S, 5C, 6 and 6S to iOS9 to ensure WhatsApp keeps working without any hiccups.

Android phone will also share the brunt as WhatsApp will no longer work on Android devices running on devices running Android 4.0.3 or older versions of the operating system. If users have such phones that are no longer compatible with WhatsApp, then the best thing would be to back up their chats before January 1, 2021, to retain them.

WhatsApp on Android devices

WhatsApp will not work on Android devices released before 2010. Other smartphones that will lose WhatsApp support include:

  • Samsung Galaxy S2
  • Apple iPhone 1-4
  • HTC Desire
  • LG Optimus Black
  • Motorola Droid Razr

The following devices, in order to support WhatsApp, will be required to update to iOS 9 or higher or Android OS 4.0.3:

  • Apple iPhone 4S
  • iPhone 5
  • iPhone 5S
  • iPhone 6
  • iPhone 6S
  • Samsung Galaxy S3 and newer
  • Samsung Galaxy Note
  • HTC Sensation
  • HTC Thunderbolt
  • LG Lucid
  • Motorola Droid 4
  • Sony Xperia Pro and newer

You Might Also Like: So, How Does WhatsApp Make Its Money if It’s a Free App?

Stay tuned to this space for latest news. Sign in for our newsletter to get daily updates delivered to your mailbox.